petsc-3.7.1 2016-05-15
Report Typos and Errors

# ISPermutation

PETSC_TRUE or PETSC_FALSE depending on whether the index set has been declared to be a permutation.

### Synopsis

    #include "petscis.h"
    PetscErrorCode  ISPermutation(IS is,PetscBool  *perm)

Logically Collective on IS Many br

### Input Parmeters

is -the index set Many br

### Output Parameters

perm -PETSC_TRUE if a permutation, else PETSC_FALSE Many br

Many br

### See Also

ISSetPermutation()

Level:intermediate
Location:src/vec/is/is/interface/index.c
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages